소유자 권한 필요
API는 이 문제가 발생하면 403 Forbidden 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/owner-required입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
<organizationId> 조직의 소유자만 다른 사람에게 소유자 역할을 부여할 수 있습니다. 이 조직의 소유자에게 역할 부여를 요청하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
organizationId | string |
action | "grantOwner" | "revokeOwner" | "manageSso" | "createScimKey" | "changeScimKeyRole" | "revokeScimKey" |
예시#
json
{
"detail": "Only an Owner of organization <organizationId> can give someone the Owner role. Ask an Owner of this organization to do it.",
"organizationId": "<organizationId>",
"action": "grantOwner",
"type": "https://lingo.dev/docs/api/errors/owner-required",
"status": 403,
"title": "Owner required"
}이 오류를 반환하는 엔드포인트#
DELETE /v2/service-api-keys/{id}PATCH /v2/organizations/{orgId}/members/{userId}PATCH /v2/organizations/{orgId}/ssoPATCH /v2/service-api-keys/{id}POST /v2/organizations/{orgId}/service-api-keys/scimPOST /v2/organizations/{orgId}/sso/disconnectPUT /v2/organizations/{orgId}/sso